tapestry-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Massimo Lusetti <mluse...@gmail.com>
Subject Re: Where have the 5.3.6 docs gone?
Date Sun, 05 May 2013 16:30:22 GMT
As you can see from our documentation page (
http://tapestry.apache.org/documentation.html) there's no link for older
docs. With older I mean before 5.3, for any release other then 5.3 you'll
find docs, source and bin from the archive.

Having said that we will see when 5.4 will be release if it will be the
case to keep 5.3 docs online, at least for a while giving time libraries
developer to update.
But now if you want to stay up to date with 5.3 release branch you have to
point to current or stable or tapestry5 symlinks.
I think we could add a "5.3" symlink which point to 5.3 docs which btw are
now equal to stable/current/tapestry5 ... That should suffice right?



On Sun, May 5, 2013 at 5:21 PM, Geoff Callender <
geoff.callender.jumpstart@gmail.com> wrote:

> And that's the problem. People download old versions of JumpStart for old
> versions of Tapestry all the time. It would be quite unhelpful and
> misleading if the old versions had linked to the current stable release API
> instead of the API they relate to.
>
> The release I put out today is expressly for T5.3. It should never link to
> T5.4, T5.5, T5.6, etc. API docs, but if I use "current" then that's what
> will happen.
>
> Cheers,
>
> Geoff
>
> On 05/05/2013, at 6:40 PM, Massimo Lusetti wrote:
>
> > Current is actually "current stable release" which means 5.3.7
> >
> >
> > On Sun, May 5, 2013 at 9:40 AM, Geoff Callender <
> > geoff.callender.jumpstart@gmail.com> wrote:
> >
> >> Using "current" is no good because that's a moving target. Every version
> >> of JumpStart is based on a specific version of Tapestry so, naturally,
> its
> >> links to the API docs can't be to the "current" version.
> >>
> >> How about having 5.3 API docs (as opposed to 5.3.6, 5.3.7, etc)?
> >>
> >> On 04/05/2013, at 10:26 PM, Bob Harner wrote:
> >>
> >>> This isn't directly answering your question, but... it would be best to
> >>> link to the "current" URLs:
> >>>
> >>>
> >>
> http://tapestry.apache.org/current/apidocs/org/apache/tapestry5/corelib/components/BeanDisplay.html
> >> <
> >>
> http://tapestry.apache.org/5.3.6/apidocs/org/apache/tapestry5/corelib/components/BeanDisplay.html
> >>>
> >>>
> >>> On Fri, May 3, 2013 at 8:51 PM, Geoff Callender <
> >>> geoff.callender.jumpstart@gmail.com> wrote:
> >>>
> >>>> For example, the current JumpStart is built against 5.3.6 and
> therefore
> >>>> has links to:
> >>>>
> >>>>
> >>>>
> >>
> http://tapestry.apache.org/5.3.6/apidocs/org/apache/tapestry5/corelib/components/BeanDisplay.html
> >>>>
> >>>> which is no longer there. Will the 5.3.6 docs be coming back?
> >>>>
> >>>> Cheers,
> >>>>
> >>>> Geoff
> >>>> ---------------------------------------------------------------------
> >>>> To unsubscribe, e-mail: dev-unsubscribe@tapestry.apache.org
> >>>> For additional commands, e-mail: dev-help@tapestry.apache.org
> >>>>
> >>>>
> >>
> >>
> >> ---------------------------------------------------------------------
> >> To unsubscribe, e-mail: dev-unsubscribe@tapestry.apache.org
> >> For additional commands, e-mail: dev-help@tapestry.apache.org
> >>
> >>
> >
> >
> > --
> > Massimo Lusetti
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@tapestry.apache.org
> For additional commands, e-mail: dev-help@tapestry.apache.org
>
>


-- 
Massimo Lusetti

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message